Index: palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1683)
+++ palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -65,5 +65,6 @@
     USE kinds
 
-    USE netcdf_control
+    USE netcdf_interface,                                                      &
+        ONLY:  nc_stat
 
     USE particle_attributes,                                                   &
@@ -122,5 +123,5 @@
 !                             (/ simulated_time /),        &
 !                             start = (/ prt_time_count /), count = (/ 1 /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 1 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 1 )
 ! 
 ! !
@@ -129,5 +130,5 @@
 !                             (/ number_of_particles /),   &
 !                             start = (/ prt_time_count /), count = (/ 1 /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 2 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 2 )
 ! 
 ! !
@@ -136,45 +137,45 @@
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 3 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 3 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(2), particles%dvrp_psize,&
 !                             start = (/ 1, prt_time_count /),                &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 4 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 4 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(3), particles%origin_x, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 5 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 5 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(4), particles%origin_y, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 6 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 6 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(5), particles%origin_z, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 7 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 7 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(6), particles%radius,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 8 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 8 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(7), particles%speed_x,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 9 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 9 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(8), particles%speed_y,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 10 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 10 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(9), particles%speed_z,  &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 11 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 11 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt,id_var_prt(10),                     &
@@ -182,30 +183,30 @@
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 12 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 12 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 13 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 13 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(12), particles%y,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 14 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 14 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(13), particles%z,       &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 15 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 15 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(14), particles%class,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 16 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 16 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(15), particles%group,   &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 17 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 17 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(16),                    &
@@ -213,10 +214,10 @@
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 18 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 18 )
 ! 
 !     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(17), particles%tail_id, &
 !                             start = (/ 1, prt_time_count /),               &
 !                             count = (/ maximum_number_of_particles /) )
-!     CALL handle_netcdf_error( 'lpm_data_output_particles', 19 )
+!     CALL netcdf_handle_error( 'lpm_data_output_particles', 19 )
 ! 
 #endif
